Module jdk.jshell
Package jdk.jshell

## Class VarSnippet

- java.lang.Object
- - jdk.jshell.Snippet
  - - jdk.jshell.PersistentSnippet
    - - jdk.jshell.DeclarationSnippet
      - - jdk.jshell.VarSnippet

    public class VarSnippet
    extends DeclarationSnippet

Snippet for a variable definition. The Kind is `Snippet.Kind.VAR`.

`VarSnippet` is immutable: an access to any of its methods will always return the same result. and thus is thread-safe.

Since:
  9
See The Java™ Language Specification:
  8.3: FieldDeclaration.

### Nested Class Summary

### Nested classes/interfaces declared in class jdk.jshell.Snippet

`Snippet.Kind, Snippet.Status, Snippet.SubKind`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `typeName()` A String representation of the type of the variable.

### Methods declared in class jdk.jshell.PersistentSnippet

`name`

### Methods declared in class jdk.jshell.Snippet

`id, kind, source, subKind`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### typeName

    public String typeName()

A String representation of the type of the variable.

Returns:
  the variable type as a String.